/*
 * Copyright 2013-2015 Guardtime, Inc.
 *
 * This file is part of the Guardtime client SDK.
 *
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *     http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES, CONDITIONS, OR OTHER LICENSES OF ANY KIND, either
 * express or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 * "Guardtime" and "KSI" are trademarks or registered trademarks of
 * Guardtime, Inc., and no license to trademarks is granted; Guardtime
 * reserves and retains all trademark rights.
 */

#ifndef KSI_ERR_H_
#define KSI_ERR_H_

#include "types.h"

#ifdef __cplusplus
extern "C" {
#endif



/**
 * \addtogroup errorhandling Errorhandling functions.
 * @{
 */

/**
 * Clear all errors from context.
 * \param[in]		ctx			KSI context.
 */
void KSI_ERR_clearErrors(KSI_CTX *ctx);

/**
 * Push an error message to the error stack of the context.
 */
void KSI_ERR_push(KSI_CTX *ctx, int statusCode, long extErrorCode, const char *fileName, unsigned int lineNr, const char *message);

/**
 * @}
 */
#ifdef __cplusplus
}
#endif

#endif /* KSI_ERR_H_ */
